Groovy 1.7.0

## groovy.lang
Class MetaArrayLengthProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaArrayLengthProperty

    class MetaArrayLengthProperty
    extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

author:
  James Strachan

version:
  $Revision: 11944 $

Field Summary

Fields inherited from class MetaProperty
name, type

Constructor Summary
`MetaArrayLengthProperty()`

Method Summary
`Object` | `getProperty(Object object)`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### MetaArrayLengthProperty

    public MetaArrayLengthProperty()

Method Detail

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property
  throws:
    RuntimeException if the property could not be set

Copyright © 2003-2009 The Codehaus. All rights reserved.